=== Foundation/samples/Timer/Makefile ===
#
# Makefile
#
# Makefile for Poco Timer
#

include $(POCO_BASE)/build/rules/global

objects = Timer

target         = Timer
target_version = 1
target_libs    = PocoFoundation

include $(POCO_BASE)/build/rules/exec
