=== Net/samples/httpget/Makefile ===
#
# Makefile
#
# Makefile for Poco httpget
#

include $(POCO_BASE)/build/rules/global

objects = httpget

target         = httpget
target_version = 1
target_libs    = PocoUtil PocoNet PocoXML PocoJSON PocoFoundation

include $(POCO_BASE)/build/rules/exec
