=== XML/samples/DOMWriter/Makefile ===
#
# Makefile
#
# Makefile for Poco DOMWriter
#

include $(POCO_BASE)/build/rules/global

objects = DOMWriter

target         = DOMWriter
target_version = 1
target_libs    = PocoXML PocoFoundation

include $(POCO_BASE)/build/rules/exec
